Bug 67123 - No length checking on hostname in net config screen.
No length checking on hostname in net config screen.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-06-20 07:13 EDT by Emmanuel Galanos
Modified: 2006-04-24 14:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Galanos 2002-06-20 07:13:30 EDT
Description of Problem:
Subject says it all. Not really very important bug...
Comment 1 Michael Fulbright 2002-06-20 11:45:46 EDT
Is there an RFC specifying a maximum length?
Comment 2 Emmanuel Galanos 2002-06-20 19:45:40 EDT
I can't find any RFC. SUSv2 says 255 bytes. Linux 2.4 has a limit of 64 bytes
in the kernel (kernel/sys.c:sys_sethostname). 64 is a good number.
Comment 3 Michael Fulbright 2002-07-31 16:07:44 EDT
I'll look into this next release.
Comment 4 Michael Fulbright 2003-08-12 17:31:09 EDT
Fixed on development branch.
Comment 5 Jeremy Katz 2006-04-24 14:57:50 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.